package de.intevation.flys.client.shared.model;

import java.io.Serializable;

import java.util.ArrayList;
import java.util.List;

public class OutFilter
implements   Serializable
{
    protected String out;

    protected List<FacetFilter> facetFilters;

    public OutFilter() {
        facetFilters = new ArrayList<FacetFilter>();
    }

    public OutFilter(String out) {
        this();
        this.out = out;
    }

    public String getOut() {
        return out;
    }

    public void setOut(String out) {
        this.out = out;
    }

    public void add(String name, String num) {
        FacetFilter facetFilter = new FacetFilter(name, num);
        if (!facetFilters.contains(facetFilter)) {
            facetFilters.add(facetFilter);
        }
    }

    public List<FacetFilter> getFacetFilters() {
        return facetFilters;
    }

    public void setFacetFilters(List<FacetFilter> facetFilters) {
        this.facetFilters = facetFilters;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
